<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="validationSummaryPanel"/>
        <ui:define name="popup_title">#{messages['gazelle.simu.ValidationSummary']}</ui:define>
        <s:div id="validationSummaryPanelContent">
            <s:div rendered="#{managedBean.selectedInstance != null}">
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Domain']}</ui:define>
                        <h:outputText value="#{managedBean.selectedInstance.domain.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Transaction']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.transaction.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Initiator']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.request.issuer} (#{managedBean.selectedInstance.request.issuingActor.keyword})"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{managedBean.selectedInstance.request.type} ...</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.request.validationStatus}"
                                styleClass="gzl-label gzl-label-red"
                                rendered="#{managedBean.selectedInstance.request.validationStatus != null and managedBean.selectedInstance.request.validationStatus.equals('FAILED')}"/>
                        <h:outputText
                                value="#{managedBean.selectedInstance.request.validationStatus}"
                                styleClass="gzl-label gzl-label-green"
                                rendered="#{managedBean.selectedInstance.request.validationStatus != null and managedBean.selectedInstance.request.validationStatus.equals('PASSED')}"/>
                        <h:outputText value="#{messages['gazelle.simu.SKIPPED']}"
                                      rendered="#{managedBean.selectedInstance.request.validationStatus == null}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Responder']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.response.issuer} (#{managedBean.selectedInstance.response.issuingActor.keyword})"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{managedBean.selectedInstance.response.type} ...</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.response.validationStatus}"
                                styleClass="gzl-label gzl-label-red"
                                rendered="#{managedBean.selectedInstance.response.validationStatus != null and managedBean.selectedInstance.response.validationStatus.equals('FAILED')}"/>
                        <h:outputText
                                value="#{managedBean.selectedInstance.response.validationStatus}"
                                styleClass="gzl-label gzl-label-green"
                                rendered="#{managedBean.selectedInstance.response.validationStatus != null and managedBean.selectedInstance.response.validationStatus.equals('PASSED')}"/>
                        <h:outputText value="#{messages['gazelle.simu.SKIPPED']}"
                                      rendered="#{managedBean.selectedInstance.response.validationStatus == null}"/>
                    </s:decorate>
                </dl>
                <h:outputLink id="link1"
                              value="#{managedBean.permanentLink(managedBean.selectedInstance)}">
                    <h:outputText value="#{messages['gazelle.simu.MoreDetails']}"/>
                </h:outputLink>
            </s:div>
            <s:div rendered="#{managedBean.selectedInstance == null}">
                <h:outputText value="#{messages['gazelle.simu.TheValidationHasEncounteredAnError']}"/>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="#{messages['gazelle.simulator.close']}" styleClass="gzl-btn"
                               onclick="jq162('#validationSummaryPanel').modal('hide');"
                               render="messageList" actionListener="#{managedBean.onCloseMessagePopup()}"/>
        </ui:define>
    </ui:decorate>
</ui:composition>
